# International wire transfer object

The international wire transfer object represents the current state of a single international wire transfer initiated by or received by Column. International wire transfers are used to send/receive money to/from outside of the United States via the SWIFT network. The international wire transfer object exposes all relevant information about the wire transfer to developers. Read more about [international wire transfers here](/international-wires).

### Object Parameters

- `account_number_id` `string` — ID of the account number that is sending/receiving the transfer
- `allow_overdraft` `boolean` — Allows the account to go negative for an outgoing transfer. The bank account needs to have `is_overdraftable` enabled with an overdraft reserve account linked to it
- `amendment_info` `object` — Information about any amendments made to this international wire transfer after creation.
  - `amended_fields` `object` — The fields that were actually amended with their new values.
    - `account_number` `string` — The amended account number of the beneficiary
    - `account_type` `string` — The amended account type (e.g. `checking`, `savings`)
    - `address` `object` — The amended address of the beneficiary
      - `city` `string` — City name (max 255 characters)
      - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
      - `line_1` `string` — Street address line 1 (max 255 characters)
      - `line_2` `string` — Street address line 2 (max 255 characters)
      - `postal_code` `string` — Postal or ZIP code (max 24 characters)
      - `state` `string` — State or province (max 255 characters)
    - `beneficiary_name` `string` — The amended name of the beneficiary
    - `email` `string` — The amended email address of the beneficiary
    - `intermediary_bank` `string` — The amended intermediary bank information
    - `legal_id` `string` — The amended legal identification number of the beneficiary
    - `message_to_beneficiary_bank` `string` — The amended message to the beneficiary bank
    - `phone` `string` — The amended phone number of the beneficiary
    - `purpose_codes` `array` — The amended purpose codes for the transfer
    - `remittance_beneficiary_reference` `string` — The amended remittance beneficiary reference
    - `remittance_general_info` `string` — The amended general remittance information
  - `request_summary` `string` — A summary of the amendment request.
  - `requested_at` `date-time` — The timestamp when the amendment was requested.
  - `requested_fields` `array of strings` — List of field names that were requested to be amended.
  - `sent_at` `date-time` — The timestamp when the amendment was sent.
- `amount` `number` — Amount (in the smallest unit of the currency) of the funds that will be debited from the originator account for an outgoing transfer (including all fees), or credited to the beneficiary account for an incoming transfer (after deducting any fees). e.g. $1.75 would be represented by 175.
- `bank_account_id` `string` — ID of the bank account that is sending/receiving the transfer
- `beneficiary_account_number` `string` — The account number of the beneficiary
- `beneficiary_address` `object` — The address of the beneficiary
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `beneficiary_fi` `string` — The SWIFT BIC code of the beneficiary's financial institution
- `beneficiary_name` `string` — The name of the beneficiary
- `cancellation_reason` `string` — The reason if the transfer is requested to be canceled
- `cancellation_status` `string` — The status of cancellation request. Possible statuses are `pending`, `accepted`, and `rejected`
- `charge_bearer` `string` — The charge bearer code. Can be `DEBT`, `CRED`, or `SHAR`.
- `charges` `array of objects` — List of fees charged by financial institutions involved in this transfer. Charges are only listed if the intermediary and beneficiary banks are part of the SWIFT GPI tracking system.
  - `agent` `string` — The agent or institution that applied the charge.
  - `amount` `number` — Amount of the charge in the smallest unit of the currency.
  - `currency_code` `string` — The three-letter currency code of the charge.
- `column_fixed_fee` `number` — The amount (in the smallest unit of `currency_code`) of fixed fee charged by Column for an outgoing transfer. This is not included in the charges field.
- `completed_at` `date-time` — The timestamp when the international wire was completed
- `counterparty_id` `string` — ID of the counterparty that is receiving/sending the transfer
- `created_at` `date-time` — The timestamp when the international wire was created
- `currency_code` `string` — Currency of amount. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
- `description` `string` — The description of the transfer visible only in your platform
- `end_to_end_id` `string` — Unique ID to unambiguously identify the transaction. This ID is passed on, unchanged, throughout the entire end-to-end chain, and can be used for reconciliation or to link tasks relating to the transaction.
- `fx_quote_id` `string` — The ID of the foreign exchange quote
- `fx_rate` `string` — The foreign exchange rate used for currency exchange of this transfer, including your platform FX rate margin markup
- `id` `string` — The ID of this international wire transfer
- `idempotency_key` `string` — The idempotency key specified in the wire transfer
- `initiated_at` `date-time` — The timestamp when the international wire was initiated
- `instructed_amount` `number` — Instructed amount (in the smallest unit of the currency) of the transfer. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
- `instructed_currency_code` `string` — Instructed currency. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
- `instruction_id` `string` — Unique ID assigned by the sender of this message
- `instruction_to_beneficiary_fi` `string` — Further information for the beneficiary's financial institution
- `intermediary_fis` `array of strings` — The SWIFT BIC codes of intermediary financial institutions
- `is_incoming` `boolean` — Indicates whether the wire transfer was incoming ( `true` or outgoing `false` )
- `manual_review_at` `date-time` — The timestamp when the international wire went into the manual review state
- `originator_account_number` `string` — The account number of the originator
- `originator_address` `object` — The address of the originator
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `originator_fi` `string` — The SWIFT BIC code of the originator's financial institution
- `originator_name` `string` — The name of the originator
- `pending_submission_at` `date-time` — The timestamp when the international wire was pending for submission
- `platform_fixed_fee` `number` — The amount (in the smallest unit of the `currency_code`) of fixed fee charged by your platform for an outgoing transfer. This is not included in the charges field.
- `platform_fx_fee` `number` — The amount (in the smallest unit of the `currency_code`) of FX fee charged by your platform for an outgoing FX transfer. This is not included in the charges field.
- `raw_message` `string` — Raw initial transfer message in the Swift MT103 or ISO 20022/MX pacs.008 format. Only populated if it is queried with `expand=raw_message` parameter.
- `remittance_info` `object` — Remittance information for the transfer, including general info and beneficiary reference.
  - `beneficiary_reference` `string` — Reference for the beneficiary
  - `general_info` `string` — General remittance information
- `return_reason` `string` — The reason if this transfer is returned
- `returned_amount` `number` — The amount (in the smallest unit of the currency) if this transfer is returned. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
- `returned_at` `date-time` — The timestamp when the international wire was returned
- `returned_currency_code` `string` — The currency if this transfer is returned. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
- `settled_amount` `number` — Settlement amount (in the smallest unit of the currency) of the transfer. e.g., 1756 means 1.756 in `KWD`, 17.56 in `USD`, or 1756 in `JPY`.
- `settled_currency_code` `string` — Settlement currency. The three-letter currency code defined in ISO 4217 (e.g. `USD`).
- `settlement_date` `string` — The date (in ET time zone) when funds are sent to the beneficiary bank for an outgoing transfer, or received from the originator bank for an incoming transfer. Format: `YYYY-MM-DD`.
- `status` `string` — The current status of the international wire transfer. Possible statuses are `initiated`, `manual_review`, `repair_requested`, `pending_submission`, `submitted`, `completed`, `pending_return` and `returned` `repair_requested` indicates an incoming correspondent-banking wire is on hold pending creditor/debtor data repair.
- `submitted_at` `date-time` — The timestamp when the international wire was submitted to the SWIFT network
- `uetr` `string` — Universally unique ID to provide an end-to-end reference for this transfer. Format: UUID v4.
- `ultimate_beneficiary_address` `object` — The address of the ultimate beneficiary to which this transfer is due
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `ultimate_beneficiary_name` `string` — The name of the ultimate beneficiary to which this transfer is due
- `ultimate_originator_address` `object` — The address of the ultimate party that owes an amount to the (ultimate) beneficiary
  - `city` `string` — City name
  - `country_code` `string` — Two-letter ISO 3166-1 alpha-2 country code (e.g. `US`)
  - `line_1` `string` — Street address line 1
  - `line_2` `string` — Street address line 2
  - `postal_code` `string` — Postal or ZIP code
  - `state` `string` — State or province
- `ultimate_originator_counterparty_id` `string` — ID of the ultimate originating counterparty that ordered the payment. Only populated for Direct `USD` settlement transfers that include an ultimate originator. Returns `null` for traditional SWIFT transfers or transfers without an ultimate originator.
- `ultimate_originator_name` `string` — The name of the ultimate party that owes an amount to the (ultimate) beneficiary
- `updated_at` `date-time` — The timestamp when the international wire was updated

**Response 200**

```json
{
  "account_number_id": "acno_2F37RhDUnWtB4GD9JXQEDYu7YAY",
  "allow_overdraft": false,
  "amount": 17965,
  "bank_account_id": "bacc_2F37RbG3NZAr7Yn2d1i5hITz9O4",
  "beneficiary_account_number": "1234567890",
  "beneficiary_address": {
    "city": "London",
    "country_code": "GB",
    "line_1": "123 Threadneedle Street",
    "line_2": "",
    "postal_code": "EC2R 8AH",
    "state": "LND"
  },
  "beneficiary_fi": "BKENGB20",
  "beneficiary_name": "Bob Trimble",
  "charge_bearer": "SHAR",
  "charges": [
    {
      "agent": "CLNOUS66",
      "amount": 500,
      "currency_code": "USD"
    },
    {
      "agent": "CHASGBGLT",
      "amount": 500,
      "currency_code": "CNY"
    }
  ],
  "completed_at": null,
  "counterparty_id": "cpty_2ESSJPnpof38GraQR5C6EnfFGKw",
  "created_at": "2022-09-20T21:55:31Z",
  "currency_code": "USD",
  "description": "SWIFT transfer with CNY",
  "end_to_end_id": "",
  "fx_quote_id": "fxqt_2F3BY6XCpKQUy5cGCqPgLf3Kit7",
  "fx_rate": "6.872100000",
  "id": "swft_2F3BYA9aMdHag8iUtsDE8ji0KOK",
  "idempotency_key": null,
  "initiated_at": "2022-09-20T21:55:31Z",
  "instructed_amount": 123456,
  "instructed_currency_code": "CNY",
  "instruction_id": "XF7MBKI09TUNZXIL",
  "instruction_to_beneficiary_fi": "please contact with the beneficiary before releasing the funds",
  "is_incoming": false,
  "manual_review_at": null,
  "originator_account_number": "366763686659680",
  "originator_address": {
    "city": "San Francisco",
    "country_code": "US",
    "line_1": "12345 Mission St.",
    "line_2": "",
    "postal_code": "94016",
    "state": "CA"
  },
  "originator_fi": "CLNOUS66",
  "originator_name": "Alice Biden",
  "pending_submission_at": "2022-09-20T21:55:32Z",
  "raw_message": null,
  "remittance_info": {
    "general_info": "downpayment for mortgage ID 123546"
  },
  "return_reason": null,
  "returned_amount": null,
  "returned_at": null,
  "returned_currency_code": null,
  "settled_amount": 123456,
  "settled_currency_code": "CNY",
  "settlement_date": "2022-09-20",
  "status": "submitted",
  "submitted_at": "2022-09-20T21:59:16Z",
  "uetr": "d6e4313a-e186-4b21-83a5-43fa4cbaa38e",
  "ultimate_beneficiary_address": null,
  "ultimate_beneficiary_name": "",
  "ultimate_originator_address": null,
  "ultimate_originator_counterparty_id": null,
  "ultimate_originator_name": "",
  "updated_at": "2022-09-20T22:09:18Z"
}
```
